Bug 242234 - devel/dmlc-core: fix build on GCC architectures
Summary: devel/dmlc-core: fix build on GCC architectures
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-25 20:39 UTC by Piotr Kubaj
Modified: 2019-11-29 22:25 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.83 KB, patch)
2019-11-25 20:39 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-25 20:39:10 UTC
Created attachment 209425 [details]
patch

Use USES=compiler:openmp instead of hard dependency on ports LLVM. Use new GCC when using base GCC.

Remove -D_POSIX_SOURCE -D_POSIX_C_SOURCE=200809L, this causes some errno.h macros not being visible.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-27 19:59:00 UTC
Approved as mentor (builds on ppcports).
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-11-28 10:04:06 UTC
Now see D22580.
Comment 3 commit-hook freebsd_committer 2019-11-29 22:25:05 UTC
A commit references this bug:

Author: pkubaj
Date: Fri Nov 29 22:24:46 UTC 2019
New revision: 518679
URL: https://svnweb.freebsd.org/changeset/ports/518679

Log:
  devel/dmlc-core: fix build on GCC architectures

  Use USES=compiler:openmp instead of hard dependency on ports LLVM. Use new GCC when using base GCC.

  Remove -D_POSIX_SOURCE -D_POSIX_C_SOURCE=200809L, this causes some errno.h macros not being visible.

  PR:             242234
  Approved by:    yuri (maintainer), linimon (mentor)
  Differential Revision:  https://reviews.freebsd.org/D22580

Changes:
  head/devel/dmlc-core/Makefile
  head/devel/dmlc-core/files/
  head/devel/dmlc-core/files/patch-CMakeLists.txt